/**
 * Used to ensure a particular environment variable has a value
 * @param name The name of the environment variable
 * @param value The assumed value of the environment variable
 */
declare function assertEnvVar(name: string, value: any): void;
/**
 * Returns the current running environment
 * This can only be "production", "development", or "testing"
 */
declare function getEnv(): string;
/**
 * Determine if the application is running in a development environment
 */
declare function isDevelopment(): boolean;
/**
 * Determine if the application is running in a production environment
 */
declare function isProduction(): boolean;
/**
 * Determine if the application is running in a testing environment
 */
declare function isTesting(): boolean;
export declare const env: {
    assertEnvVar: typeof assertEnvVar;
    getEnv: typeof getEnv;
    isDevelopment: typeof isDevelopment;
    isProduction: typeof isProduction;
    isTesting: typeof isTesting;
};
export {};
