/// <reference types="node" />
export declare type NewLoggerOptions = {
    appName?: string;
    color?: boolean;
    stdout?: NodeJS.WriteStream;
    stderr?: NodeJS.WriteStream;
};
export declare type LogOptions = {
    appName?: string;
    color?: boolean;
    stdout?: NodeJS.WriteStream;
    stderr?: NodeJS.WriteStream;
};
export interface LogUtil {
    debug: (message: any, options?: LogOptions) => void;
    info: (message: any, options?: LogOptions) => void;
    warn: (message: any, options?: LogOptions) => void;
    error: (message: any, options?: LogOptions) => void;
    inspect: (data: any) => void;
    new: (options?: NewLoggerOptions) => LogUtil;
}
/**
 * Create a logging utility
 */
export declare function newLogUtil(options?: NewLoggerOptions): LogUtil;
