/**
 * Used to check for RSA private key headers
 */
export declare const PRIVATE_KEY_HEADER_PATTERN: RegExp;
/**
 * Used to check for RSA public key headers
 */
export declare const PUBLIC_KEY_HEADER_PATTERN: RegExp;
/**
 * Used to check for environment variables which hold RSA private keys
 * used for decrypting secret values
 */
export declare const ENV_SECRET_PRIVATE_KEY_PREFIX = "SECRETS_PRIVATE_KEY_";
/**
 * Used to check for environment variables which hold RSA public keys
 * used for encrypting secret values
 */
export declare const ENV_SECRET_PUBLIC_KEY_PREFIX = "SECRETS_PUBLIC_KEY_";
