"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ENV_SECRET_PUBLIC_KEY_PREFIX = exports.ENV_SECRET_PRIVATE_KEY_PREFIX = exports.PUBLIC_KEY_HEADER_PATTERN = exports.PRIVATE_KEY_HEADER_PATTERN = void 0;
/**
 * Used to check for RSA private key headers
 */
exports.PRIVATE_KEY_HEADER_PATTERN = /PRIVATE KEY/;
/**
 * Used to check for RSA public key headers
 */
exports.PUBLIC_KEY_HEADER_PATTERN = /BEGIN PUBLIC KEY/;
/**
 * Used to check for environment variables which hold RSA private keys
 * used for decrypting secret values
 */
exports.ENV_SECRET_PRIVATE_KEY_PREFIX = 'SECRETS_PRIVATE_KEY_';
/**
 * Used to check for environment variables which hold RSA public keys
 * used for encrypting secret values
 */
exports.ENV_SECRET_PUBLIC_KEY_PREFIX = 'SECRETS_PUBLIC_KEY_';
