import type { EnumLiteralsOf } from 'bf-types';
export declare type AsymmetricKeyType = EnumLiteralsOf<typeof AsymmetricKeyType>;
export declare const AsymmetricKeyType: Readonly<{
    readonly PUBLIC: "PUBLIC";
    readonly PRIVATE: "PRIVATE";
}>;
export declare type SecretValueEncodingType = EnumLiteralsOf<typeof SecretValueEncodingType>;
export declare const SecretValueEncodingType: Readonly<{
    /**
     * For secret values which are base64 encoded
     */
    readonly RAW: "RAW";
    /**
     * For secret values which are RSA encrypted
     */
    readonly RSA: "RSA";
}>;
