import { Api, Auth, Module, NexusConfig } from 'bf-lib';
import { Multitool } from 'bf-lib/multitool';
import authProvider from './auth/Auth';
import { ClientConfigSettings, LogUtil, Nullable } from './common';
export { Api, Auth, Module, ClientConfigSettings, NexusConfig };
export { authProvider };
export declare type ConfigSettings = {
    nexus: NexusConfig;
    client: ClientConfigSettings;
};
export interface BfLibNode {
    api: Api;
    auth: Auth;
    module: Module;
    multitool: Multitool;
    log: LogUtil;
    getAccessToken: () => Promise<Nullable<string>>;
}
export default function bflib(settings: ConfigSettings): Promise<BfLibNode>;
